> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Upsert a note on a conversation



## OpenAPI

````yaml api-reference/data/openapi.json POST /v1/agents/{agentId}/conversations/{conversationId}/note
openapi: 3.1.0
info:
  title: Data API
  version: 1.0.9
  description: Query conversations, recordings, annotations, notes, and debug chat.
servers:
  - url: https://api.us.poly.ai
  - url: https://api.eu.poly.ai
  - url: https://api.uk.poly.ai
  - url: https://api.studio.poly.ai
security:
  - polyApiKey: []
paths:
  /v1/agents/{agentId}/conversations/{conversationId}/note:
    parameters:
      - name: agentId
        in: path
        required: true
        schema:
          type: string
      - name: conversationId
        in: path
        required: true
        schema:
          type: string
    post:
      tags:
        - Conversations
      summary: Upsert a note on a conversation
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpsertNoteBody'
      responses:
        '201':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OperationSuccessResponse'
        '400':
          description: Validation error
        '401':
          description: Unauthorized – missing or invalid API key
        '403':
          description: Forbidden – insufficient permissions
        '404':
          description: Resource not found
components:
  schemas:
    UpsertNoteBody:
      description: Request body for upserting a note on a conversation.
      type: object
      properties:
        note:
          type: string
      required:
        - note
    OperationSuccessResponse:
      description: Minimal success payload for mutation endpoints.
      type: object
      properties:
        success:
          default: true
          type: boolean
  securitySchemes:
    polyApiKey:
      type: apiKey
      in: header
      name: X-API-KEY

````